FreeHandParserInternal::Textbox Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
FreeHandParserInternal::Textbox Struct Reference

structure of FreeHandParserInternal used to stored a textbox More...

## Public Member Functions
| Textbox (int id)
| constructor More...

## Public Attributes
int | m_id
| the textbox id More...
int | m_layerId
| the layer id More...
MWAWBox2f | m_box
| the main box More...
MWAWTransformation | m_transformation
| the transformation More...
MWAWVec2f | m_spacings
| the letter/word spacing More...
MWAWVec2f | m_scalings
| the horizontal/vertical scalings More...
float | m_baseline
| the baseline More...
MWAWParagraph::Justification | m_justify
| the paragraph justification More...
MWAWEntry | m_text
| the text data More...
std::map< int, Font > | m_posToFontMap
| map char pos to font More...
bool | m_isSent
| flag to known if a shape is sent More...

## Detailed Description

structure of FreeHandParserInternal used to stored a textbox

## Constructor & Destructor Documentation

## § Textbox()

FreeHandParserInternal::Textbox::Textbox | ( | int | id | ) |
| inlineexplicit

constructor

## Member Data Documentation

## § m_baseline

float FreeHandParserInternal::Textbox::m_baseline

the baseline

Referenced by FreeHandParser::readTextboxV2().

## § m_box

MWAWBox2f FreeHandParserInternal::Textbox::m_box

the main box

Referenced by FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), and FreeHandParser::sendTextbox().

## § m_id

int FreeHandParserInternal::Textbox::m_id

the textbox id

Referenced by FreeHandParser::sendTextbox().

## § m_isSent

bool FreeHandParserInternal::Textbox::m_isSent
| mutable

flag to known if a shape is sent

Referenced by FreeHandParser::sendTextbox().

## § m_justify

MWAWParagraph::Justification FreeHandParserInternal::Textbox::m_justify

the paragraph justification

Referenced by FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), and FreeHandParser::sendText().

## § m_layerId

int FreeHandParserInternal::Textbox::m_layerId

the layer id

Referenced by FreeHandParser::readTextboxV1(), and FreeHandParser::readTextboxV2().

## § m_posToFontMap

std::map<int,Font> FreeHandParserInternal::Textbox::m_posToFontMap

map char pos to font

Referenced by FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), and FreeHandParser::sendText().

## § m_scalings

MWAWVec2f FreeHandParserInternal::Textbox::m_scalings

the horizontal/vertical scalings

Referenced by FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), and FreeHandParser::sendText().

## § m_spacings

MWAWVec2f FreeHandParserInternal::Textbox::m_spacings

the letter/word spacing

Referenced by FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), and FreeHandParser::sendText().

## § m_text

MWAWEntry FreeHandParserInternal::Textbox::m_text

the text data

Referenced by FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), and FreeHandParser::sendText().

## § m_transformation

MWAWTransformation FreeHandParserInternal::Textbox::m_transformation

the transformation

Referenced by FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), and FreeHandParser::sendTextbox().

The documentation for this struct was generated from the following file:

- FreeHandParser.cxx